
#ifndef _MEMMGR_H
#define _MEMMGR_H

#include "SupportDefs.h"

typedef struct mem_block {
	struct mem_block *prev, *next;
	char *base;
	int size;
	bool inuse;
} mem_block;

typedef struct mem_info {
	mem_block *first;
	int block_size;
} mem_info;

mem_info *mem_init( void *start, int len, int block_size );
void mem_destroy( mem_info *info );
mem_block *mem_alloc( mem_info *mem, int size );
void mem_free( mem_info *info, mem_block *block );

#endif